Package org.kapott.hbci.sepa.jaxb.pain_002_001_03

# Class BranchAndFinancialInstitutionIdentificationSEPA1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_002_001_03.BranchAndFinancialInstitutionIdentificationSEPA1

public class BranchAndFinancialInstitutionIdentificationSEPA1 extends Object

Java class for BranchAndFinancialInstitutionIdentificationSEPA1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BranchAndFinancialInstitutionIdentificationSEPA1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="FinInstnId" type="{urn:iso:std:iso:20022:tech:xsd:pain.002.001.03}FinancialInstitutionIdentificationSEPA1"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected FinancialInstitutionIdentificationSEPA1`
`finInstnId`

## Constructor Summary

Constructors
Constructor
Description
`BranchAndFinancialInstitutionIdentificationSEPA1()`

## Method Summary

Modifier and Type
Method
Description
`FinancialInstitutionIdentificationSEPA1`
`getFinInstnId()`
Gets the value of the finInstnId property.
`void`
`setFinInstnId(FinancialInstitutionIdentificationSEPA1 value)`
Sets the value of the finInstnId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### finInstnId

protected FinancialInstitutionIdentificationSEPA1 finInstnId

## Constructor Details

### BranchAndFinancialInstitutionIdentificationSEPA1

public BranchAndFinancialInstitutionIdentificationSEPA1()

## Method Details

### getFinInstnId

public FinancialInstitutionIdentificationSEPA1 getFinInstnId()
Gets the value of the finInstnId property.

Returns:
  possible object is `FinancialInstitutionIdentificationSEPA1`

### setFinInstnId

public void setFinInstnId(FinancialInstitutionIdentificationSEPA1 value)
Sets the value of the finInstnId property.

Parameters:
  `value` - allowed object is `FinancialInstitutionIdentificationSEPA1`